/**
 * Copyright 2007 Nathanael Cottin
 */
package sds;

import java.io.Serializable;
import java.security.cert.Certificate;


/**
 * @author ncottin
 *
 */
final class SignedData implements Serializable {

	private Certificate issuerCertificate;
	private MessageData tbsData;
	
	/**
	 * @return the issuerCertificate
	 */
	public final Certificate getIssuerCertificate() {
		return issuerCertificate;
	}
	
	/**
	 * @param issuerCertificate the issuerCertificate to set
	 */
	public final void setIssuerCertificate(Certificate issuerCertificate) {
		this.issuerCertificate = issuerCertificate;
	}
	
	/**
	 * @return the tbsData
	 */
	public final MessageData getTbsData() {
		return tbsData;
	}
	
	/**
	 * @param tbsData the tbsData to set
	 */
	public final void setTbsData(MessageData tbsData) {
		this.tbsData = tbsData;
	}
}
