/**
 * Copyright 2007 Nathanael Cottin
 */
package sds.more;

import java.security.SecureRandom;

/**
 * @author ncottin
 * 
 */
public final class SimpleRandom {

	private static final SecureRandom	rand;

	static {
		StringBuffer sb = new StringBuffer();
		sb.append(new Object());
		sb.append(String.valueOf(System.currentTimeMillis()));
		rand = new SecureRandom(sb.toString().getBytes());
	}

	public synchronized static final long nextLong() {
		return rand.nextLong();
	}
}
